Bug 252955 - multimedia/mpv: add option for javascript
Summary: multimedia/mpv: add option for javascript
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-multimedia (Nobody)
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-01-23 22:25 UTC by Henry Hu
Modified: 2021-02-08 17:24 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments
patch for MUJS option (1.48 KB, patch)
2021-01-23 22:25 UTC, Henry Hu
no flags Details | Diff
poudriere log for 12.1-RELEASE/amd64 (790.86 KB, text/plain)
2021-01-24 00:54 UTC, Henry Hu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Hu 2021-01-23 22:25:18 UTC
Created attachment 221854 [details]
patch for MUJS option

MPV now supports Javascript as a scripting language, using the MuJS library as the javascript runtime.
The functionality is controlled by configure flag "--enable-javascript".

Today, this flag is not set. Thus, the compiled port may or may not have javascript support enabled, and may or may not have a library dependency to MuJS.

This patch adds an explicit flag for javascript support, and enables it by default.
Comment 1 Henry Hu 2021-01-24 00:54:59 UTC
Created attachment 221858 [details]
poudriere log for 12.1-RELEASE/amd64
Comment 2 Automation User 2021-02-08 06:44:08 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/252760998
Comment 3 commit-hook freebsd_committer 2021-02-08 17:23:40 UTC
A commit references this bug:

Author: tcberner
Date: Mon Feb  8 17:23:23 UTC 2021
New revision: 564728
URL: https://svnweb.freebsd.org/changeset/ports/564728

Log:
  multimedia/mpv: add option for javascript

  - Add an option for JS support via lang/mujs
  - Make it default off for now

  PR:		252955
  Submitted by:	Henry Hu <henry.hu.sh@gmail.com>

Changes:
  head/multimedia/mpv/Makefile
Comment 4 Tobias C. Berner freebsd_committer 2021-02-08 17:24:14 UTC
Moin moin 

Thanks for the patch -- I committed it, with the minor change to make it default off, as I fear having js ON by default might be a bit of a hot-topic.


mfg Tobias